//Copyright 1986-2018 Xilinx, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------
//Tool Version: Vivado v.2018.3 (win64) Build 2405991 Thu Dec  6 23:38:27 MST 2018
//Date        : Mon Jan 12 18:03:10 2026
//Host        : DESKTOP-PDKL47M running 64-bit major release  (build 9200)
//Command     : generate_target system_wrapper.bd
//Design      : system_wrapper
//Purpose     : IP block netlist
//--------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

module system_wrapper
   (DDR_addr,
    DDR_ba,
    DDR_cas_n,
    DDR_ck_n,
    DDR_ck_p,
    DDR_cke,
    DDR_cs_n,
    DDR_dm,
    DDR_dq,
    DDR_dqs_n,
    DDR_dqs_p,
    DDR_odt,
    DDR_ras_n,
    DDR_reset_n,
    DDR_we_n,
    EMIO_0_tri_io,
    FIXED_IO_ddr_vrn,
    FIXED_IO_ddr_vrp,
    FIXED_IO_mio,
    FIXED_IO_ps_clk,
    FIXED_IO_ps_porb,
    FIXED_IO_ps_srstb);
  inout [14:0]DDR_addr;
  inout [2:0]DDR_ba;
  inout DDR_cas_n;
  inout DDR_ck_n;
  inout DDR_ck_p;
  inout DDR_cke;
  inout DDR_cs_n;
  inout [3:0]DDR_dm;
  inout [31:0]DDR_dq;
  inout [3:0]DDR_dqs_n;
  inout [3:0]DDR_dqs_p;
  inout DDR_odt;
  inout DDR_ras_n;
  inout DDR_reset_n;
  inout DDR_we_n;
  inout [32:0]EMIO_0_tri_io;
  inout FIXED_IO_ddr_vrn;
  inout FIXED_IO_ddr_vrp;
  inout [53:0]FIXED_IO_mio;
  inout FIXED_IO_ps_clk;
  inout FIXED_IO_ps_porb;
  inout FIXED_IO_ps_srstb;

  wire [14:0]DDR_addr;
  wire [2:0]DDR_ba;
  wire DDR_cas_n;
  wire DDR_ck_n;
  wire DDR_ck_p;
  wire DDR_cke;
  wire DDR_cs_n;
  wire [3:0]DDR_dm;
  wire [31:0]DDR_dq;
  wire [3:0]DDR_dqs_n;
  wire [3:0]DDR_dqs_p;
  wire DDR_odt;
  wire DDR_ras_n;
  wire DDR_reset_n;
  wire DDR_we_n;
  wire [0:0]EMIO_0_tri_i_0;
  wire [1:1]EMIO_0_tri_i_1;
  wire [10:10]EMIO_0_tri_i_10;
  wire [11:11]EMIO_0_tri_i_11;
  wire [12:12]EMIO_0_tri_i_12;
  wire [13:13]EMIO_0_tri_i_13;
  wire [14:14]EMIO_0_tri_i_14;
  wire [15:15]EMIO_0_tri_i_15;
  wire [16:16]EMIO_0_tri_i_16;
  wire [17:17]EMIO_0_tri_i_17;
  wire [18:18]EMIO_0_tri_i_18;
  wire [19:19]EMIO_0_tri_i_19;
  wire [2:2]EMIO_0_tri_i_2;
  wire [20:20]EMIO_0_tri_i_20;
  wire [21:21]EMIO_0_tri_i_21;
  wire [22:22]EMIO_0_tri_i_22;
  wire [23:23]EMIO_0_tri_i_23;
  wire [24:24]EMIO_0_tri_i_24;
  wire [25:25]EMIO_0_tri_i_25;
  wire [26:26]EMIO_0_tri_i_26;
  wire [27:27]EMIO_0_tri_i_27;
  wire [28:28]EMIO_0_tri_i_28;
  wire [29:29]EMIO_0_tri_i_29;
  wire [3:3]EMIO_0_tri_i_3;
  wire [30:30]EMIO_0_tri_i_30;
  wire [31:31]EMIO_0_tri_i_31;
  wire [32:32]EMIO_0_tri_i_32;
  wire [4:4]EMIO_0_tri_i_4;
  wire [5:5]EMIO_0_tri_i_5;
  wire [6:6]EMIO_0_tri_i_6;
  wire [7:7]EMIO_0_tri_i_7;
  wire [8:8]EMIO_0_tri_i_8;
  wire [9:9]EMIO_0_tri_i_9;
  wire [0:0]EMIO_0_tri_io_0;
  wire [1:1]EMIO_0_tri_io_1;
  wire [10:10]EMIO_0_tri_io_10;
  wire [11:11]EMIO_0_tri_io_11;
  wire [12:12]EMIO_0_tri_io_12;
  wire [13:13]EMIO_0_tri_io_13;
  wire [14:14]EMIO_0_tri_io_14;
  wire [15:15]EMIO_0_tri_io_15;
  wire [16:16]EMIO_0_tri_io_16;
  wire [17:17]EMIO_0_tri_io_17;
  wire [18:18]EMIO_0_tri_io_18;
  wire [19:19]EMIO_0_tri_io_19;
  wire [2:2]EMIO_0_tri_io_2;
  wire [20:20]EMIO_0_tri_io_20;
  wire [21:21]EMIO_0_tri_io_21;
  wire [22:22]EMIO_0_tri_io_22;
  wire [23:23]EMIO_0_tri_io_23;
  wire [24:24]EMIO_0_tri_io_24;
  wire [25:25]EMIO_0_tri_io_25;
  wire [26:26]EMIO_0_tri_io_26;
  wire [27:27]EMIO_0_tri_io_27;
  wire [28:28]EMIO_0_tri_io_28;
  wire [29:29]EMIO_0_tri_io_29;
  wire [3:3]EMIO_0_tri_io_3;
  wire [30:30]EMIO_0_tri_io_30;
  wire [31:31]EMIO_0_tri_io_31;
  wire [32:32]EMIO_0_tri_io_32;
  wire [4:4]EMIO_0_tri_io_4;
  wire [5:5]EMIO_0_tri_io_5;
  wire [6:6]EMIO_0_tri_io_6;
  wire [7:7]EMIO_0_tri_io_7;
  wire [8:8]EMIO_0_tri_io_8;
  wire [9:9]EMIO_0_tri_io_9;
  wire [0:0]EMIO_0_tri_o_0;
  wire [1:1]EMIO_0_tri_o_1;
  wire [10:10]EMIO_0_tri_o_10;
  wire [11:11]EMIO_0_tri_o_11;
  wire [12:12]EMIO_0_tri_o_12;
  wire [13:13]EMIO_0_tri_o_13;
  wire [14:14]EMIO_0_tri_o_14;
  wire [15:15]EMIO_0_tri_o_15;
  wire [16:16]EMIO_0_tri_o_16;
  wire [17:17]EMIO_0_tri_o_17;
  wire [18:18]EMIO_0_tri_o_18;
  wire [19:19]EMIO_0_tri_o_19;
  wire [2:2]EMIO_0_tri_o_2;
  wire [20:20]EMIO_0_tri_o_20;
  wire [21:21]EMIO_0_tri_o_21;
  wire [22:22]EMIO_0_tri_o_22;
  wire [23:23]EMIO_0_tri_o_23;
  wire [24:24]EMIO_0_tri_o_24;
  wire [25:25]EMIO_0_tri_o_25;
  wire [26:26]EMIO_0_tri_o_26;
  wire [27:27]EMIO_0_tri_o_27;
  wire [28:28]EMIO_0_tri_o_28;
  wire [29:29]EMIO_0_tri_o_29;
  wire [3:3]EMIO_0_tri_o_3;
  wire [30:30]EMIO_0_tri_o_30;
  wire [31:31]EMIO_0_tri_o_31;
  wire [32:32]EMIO_0_tri_o_32;
  wire [4:4]EMIO_0_tri_o_4;
  wire [5:5]EMIO_0_tri_o_5;
  wire [6:6]EMIO_0_tri_o_6;
  wire [7:7]EMIO_0_tri_o_7;
  wire [8:8]EMIO_0_tri_o_8;
  wire [9:9]EMIO_0_tri_o_9;
  wire [0:0]EMIO_0_tri_t_0;
  wire [1:1]EMIO_0_tri_t_1;
  wire [10:10]EMIO_0_tri_t_10;
  wire [11:11]EMIO_0_tri_t_11;
  wire [12:12]EMIO_0_tri_t_12;
  wire [13:13]EMIO_0_tri_t_13;
  wire [14:14]EMIO_0_tri_t_14;
  wire [15:15]EMIO_0_tri_t_15;
  wire [16:16]EMIO_0_tri_t_16;
  wire [17:17]EMIO_0_tri_t_17;
  wire [18:18]EMIO_0_tri_t_18;
  wire [19:19]EMIO_0_tri_t_19;
  wire [2:2]EMIO_0_tri_t_2;
  wire [20:20]EMIO_0_tri_t_20;
  wire [21:21]EMIO_0_tri_t_21;
  wire [22:22]EMIO_0_tri_t_22;
  wire [23:23]EMIO_0_tri_t_23;
  wire [24:24]EMIO_0_tri_t_24;
  wire [25:25]EMIO_0_tri_t_25;
  wire [26:26]EMIO_0_tri_t_26;
  wire [27:27]EMIO_0_tri_t_27;
  wire [28:28]EMIO_0_tri_t_28;
  wire [29:29]EMIO_0_tri_t_29;
  wire [3:3]EMIO_0_tri_t_3;
  wire [30:30]EMIO_0_tri_t_30;
  wire [31:31]EMIO_0_tri_t_31;
  wire [32:32]EMIO_0_tri_t_32;
  wire [4:4]EMIO_0_tri_t_4;
  wire [5:5]EMIO_0_tri_t_5;
  wire [6:6]EMIO_0_tri_t_6;
  wire [7:7]EMIO_0_tri_t_7;
  wire [8:8]EMIO_0_tri_t_8;
  wire [9:9]EMIO_0_tri_t_9;
  wire FIXED_IO_ddr_vrn;
  wire FIXED_IO_ddr_vrp;
  wire [53:0]FIXED_IO_mio;
  wire FIXED_IO_ps_clk;
  wire FIXED_IO_ps_porb;
  wire FIXED_IO_ps_srstb;

  IOBUF EMIO_0_tri_iobuf_0
       (.I(EMIO_0_tri_o_0),
        .IO(EMIO_0_tri_io[0]),
        .O(EMIO_0_tri_i_0),
        .T(EMIO_0_tri_t_0));
  IOBUF EMIO_0_tri_iobuf_1
       (.I(EMIO_0_tri_o_1),
        .IO(EMIO_0_tri_io[1]),
        .O(EMIO_0_tri_i_1),
        .T(EMIO_0_tri_t_1));
  IOBUF EMIO_0_tri_iobuf_10
       (.I(EMIO_0_tri_o_10),
        .IO(EMIO_0_tri_io[10]),
        .O(EMIO_0_tri_i_10),
        .T(EMIO_0_tri_t_10));
  IOBUF EMIO_0_tri_iobuf_11
       (.I(EMIO_0_tri_o_11),
        .IO(EMIO_0_tri_io[11]),
        .O(EMIO_0_tri_i_11),
        .T(EMIO_0_tri_t_11));
  IOBUF EMIO_0_tri_iobuf_12
       (.I(EMIO_0_tri_o_12),
        .IO(EMIO_0_tri_io[12]),
        .O(EMIO_0_tri_i_12),
        .T(EMIO_0_tri_t_12));
  IOBUF EMIO_0_tri_iobuf_13
       (.I(EMIO_0_tri_o_13),
        .IO(EMIO_0_tri_io[13]),
        .O(EMIO_0_tri_i_13),
        .T(EMIO_0_tri_t_13));
  IOBUF EMIO_0_tri_iobuf_14
       (.I(EMIO_0_tri_o_14),
        .IO(EMIO_0_tri_io[14]),
        .O(EMIO_0_tri_i_14),
        .T(EMIO_0_tri_t_14));
  IOBUF EMIO_0_tri_iobuf_15
       (.I(EMIO_0_tri_o_15),
        .IO(EMIO_0_tri_io[15]),
        .O(EMIO_0_tri_i_15),
        .T(EMIO_0_tri_t_15));
  IOBUF EMIO_0_tri_iobuf_16
       (.I(EMIO_0_tri_o_16),
        .IO(EMIO_0_tri_io[16]),
        .O(EMIO_0_tri_i_16),
        .T(EMIO_0_tri_t_16));
  IOBUF EMIO_0_tri_iobuf_17
       (.I(EMIO_0_tri_o_17),
        .IO(EMIO_0_tri_io[17]),
        .O(EMIO_0_tri_i_17),
        .T(EMIO_0_tri_t_17));
  IOBUF EMIO_0_tri_iobuf_18
       (.I(EMIO_0_tri_o_18),
        .IO(EMIO_0_tri_io[18]),
        .O(EMIO_0_tri_i_18),
        .T(EMIO_0_tri_t_18));
  IOBUF EMIO_0_tri_iobuf_19
       (.I(EMIO_0_tri_o_19),
        .IO(EMIO_0_tri_io[19]),
        .O(EMIO_0_tri_i_19),
        .T(EMIO_0_tri_t_19));
  IOBUF EMIO_0_tri_iobuf_2
       (.I(EMIO_0_tri_o_2),
        .IO(EMIO_0_tri_io[2]),
        .O(EMIO_0_tri_i_2),
        .T(EMIO_0_tri_t_2));
  IOBUF EMIO_0_tri_iobuf_20
       (.I(EMIO_0_tri_o_20),
        .IO(EMIO_0_tri_io[20]),
        .O(EMIO_0_tri_i_20),
        .T(EMIO_0_tri_t_20));
  IOBUF EMIO_0_tri_iobuf_21
       (.I(EMIO_0_tri_o_21),
        .IO(EMIO_0_tri_io[21]),
        .O(EMIO_0_tri_i_21),
        .T(EMIO_0_tri_t_21));
  IOBUF EMIO_0_tri_iobuf_22
       (.I(EMIO_0_tri_o_22),
        .IO(EMIO_0_tri_io[22]),
        .O(EMIO_0_tri_i_22),
        .T(EMIO_0_tri_t_22));
  IOBUF EMIO_0_tri_iobuf_23
       (.I(EMIO_0_tri_o_23),
        .IO(EMIO_0_tri_io[23]),
        .O(EMIO_0_tri_i_23),
        .T(EMIO_0_tri_t_23));
  IOBUF EMIO_0_tri_iobuf_24
       (.I(EMIO_0_tri_o_24),
        .IO(EMIO_0_tri_io[24]),
        .O(EMIO_0_tri_i_24),
        .T(EMIO_0_tri_t_24));
  IOBUF EMIO_0_tri_iobuf_25
       (.I(EMIO_0_tri_o_25),
        .IO(EMIO_0_tri_io[25]),
        .O(EMIO_0_tri_i_25),
        .T(EMIO_0_tri_t_25));
  IOBUF EMIO_0_tri_iobuf_26
       (.I(EMIO_0_tri_o_26),
        .IO(EMIO_0_tri_io[26]),
        .O(EMIO_0_tri_i_26),
        .T(EMIO_0_tri_t_26));
  IOBUF EMIO_0_tri_iobuf_27
       (.I(EMIO_0_tri_o_27),
        .IO(EMIO_0_tri_io[27]),
        .O(EMIO_0_tri_i_27),
        .T(EMIO_0_tri_t_27));
  IOBUF EMIO_0_tri_iobuf_28
       (.I(EMIO_0_tri_o_28),
        .IO(EMIO_0_tri_io[28]),
        .O(EMIO_0_tri_i_28),
        .T(EMIO_0_tri_t_28));
  IOBUF EMIO_0_tri_iobuf_29
       (.I(EMIO_0_tri_o_29),
        .IO(EMIO_0_tri_io[29]),
        .O(EMIO_0_tri_i_29),
        .T(EMIO_0_tri_t_29));
  IOBUF EMIO_0_tri_iobuf_3
       (.I(EMIO_0_tri_o_3),
        .IO(EMIO_0_tri_io[3]),
        .O(EMIO_0_tri_i_3),
        .T(EMIO_0_tri_t_3));
  IOBUF EMIO_0_tri_iobuf_30
       (.I(EMIO_0_tri_o_30),
        .IO(EMIO_0_tri_io[30]),
        .O(EMIO_0_tri_i_30),
        .T(EMIO_0_tri_t_30));
  IOBUF EMIO_0_tri_iobuf_31
       (.I(EMIO_0_tri_o_31),
        .IO(EMIO_0_tri_io[31]),
        .O(EMIO_0_tri_i_31),
        .T(EMIO_0_tri_t_31));
  IOBUF EMIO_0_tri_iobuf_32
       (.I(EMIO_0_tri_o_32),
        .IO(EMIO_0_tri_io[32]),
        .O(EMIO_0_tri_i_32),
        .T(EMIO_0_tri_t_32));
  IOBUF EMIO_0_tri_iobuf_4
       (.I(EMIO_0_tri_o_4),
        .IO(EMIO_0_tri_io[4]),
        .O(EMIO_0_tri_i_4),
        .T(EMIO_0_tri_t_4));
  IOBUF EMIO_0_tri_iobuf_5
       (.I(EMIO_0_tri_o_5),
        .IO(EMIO_0_tri_io[5]),
        .O(EMIO_0_tri_i_5),
        .T(EMIO_0_tri_t_5));
  IOBUF EMIO_0_tri_iobuf_6
       (.I(EMIO_0_tri_o_6),
        .IO(EMIO_0_tri_io[6]),
        .O(EMIO_0_tri_i_6),
        .T(EMIO_0_tri_t_6));
  IOBUF EMIO_0_tri_iobuf_7
       (.I(EMIO_0_tri_o_7),
        .IO(EMIO_0_tri_io[7]),
        .O(EMIO_0_tri_i_7),
        .T(EMIO_0_tri_t_7));
  IOBUF EMIO_0_tri_iobuf_8
       (.I(EMIO_0_tri_o_8),
        .IO(EMIO_0_tri_io[8]),
        .O(EMIO_0_tri_i_8),
        .T(EMIO_0_tri_t_8));
  IOBUF EMIO_0_tri_iobuf_9
       (.I(EMIO_0_tri_o_9),
        .IO(EMIO_0_tri_io[9]),
        .O(EMIO_0_tri_i_9),
        .T(EMIO_0_tri_t_9));
  system system_i
       (.DDR_addr(DDR_addr),
        .DDR_ba(DDR_ba),
        .DDR_cas_n(DDR_cas_n),
        .DDR_ck_n(DDR_ck_n),
        .DDR_ck_p(DDR_ck_p),
        .DDR_cke(DDR_cke),
        .DDR_cs_n(DDR_cs_n),
        .DDR_dm(DDR_dm),
        .DDR_dq(DDR_dq),
        .DDR_dqs_n(DDR_dqs_n),
        .DDR_dqs_p(DDR_dqs_p),
        .DDR_odt(DDR_odt),
        .DDR_ras_n(DDR_ras_n),
        .DDR_reset_n(DDR_reset_n),
        .DDR_we_n(DDR_we_n),
        .EMIO_0_tri_i({EMIO_0_tri_i_32,EMIO_0_tri_i_31,EMIO_0_tri_i_30,EMIO_0_tri_i_29,EMIO_0_tri_i_28,EMIO_0_tri_i_27,EMIO_0_tri_i_26,EMIO_0_tri_i_25,EMIO_0_tri_i_24,EMIO_0_tri_i_23,EMIO_0_tri_i_22,EMIO_0_tri_i_21,EMIO_0_tri_i_20,EMIO_0_tri_i_19,EMIO_0_tri_i_18,EMIO_0_tri_i_17,EMIO_0_tri_i_16,EMIO_0_tri_i_15,EMIO_0_tri_i_14,EMIO_0_tri_i_13,EMIO_0_tri_i_12,EMIO_0_tri_i_11,EMIO_0_tri_i_10,EMIO_0_tri_i_9,EMIO_0_tri_i_8,EMIO_0_tri_i_7,EMIO_0_tri_i_6,EMIO_0_tri_i_5,EMIO_0_tri_i_4,EMIO_0_tri_i_3,EMIO_0_tri_i_2,EMIO_0_tri_i_1,EMIO_0_tri_i_0}),
        .EMIO_0_tri_o({EMIO_0_tri_o_32,EMIO_0_tri_o_31,EMIO_0_tri_o_30,EMIO_0_tri_o_29,EMIO_0_tri_o_28,EMIO_0_tri_o_27,EMIO_0_tri_o_26,EMIO_0_tri_o_25,EMIO_0_tri_o_24,EMIO_0_tri_o_23,EMIO_0_tri_o_22,EMIO_0_tri_o_21,EMIO_0_tri_o_20,EMIO_0_tri_o_19,EMIO_0_tri_o_18,EMIO_0_tri_o_17,EMIO_0_tri_o_16,EMIO_0_tri_o_15,EMIO_0_tri_o_14,EMIO_0_tri_o_13,EMIO_0_tri_o_12,EMIO_0_tri_o_11,EMIO_0_tri_o_10,EMIO_0_tri_o_9,EMIO_0_tri_o_8,EMIO_0_tri_o_7,EMIO_0_tri_o_6,EMIO_0_tri_o_5,EMIO_0_tri_o_4,EMIO_0_tri_o_3,EMIO_0_tri_o_2,EMIO_0_tri_o_1,EMIO_0_tri_o_0}),
        .EMIO_0_tri_t({EMIO_0_tri_t_32,EMIO_0_tri_t_31,EMIO_0_tri_t_30,EMIO_0_tri_t_29,EMIO_0_tri_t_28,EMIO_0_tri_t_27,EMIO_0_tri_t_26,EMIO_0_tri_t_25,EMIO_0_tri_t_24,EMIO_0_tri_t_23,EMIO_0_tri_t_22,EMIO_0_tri_t_21,EMIO_0_tri_t_20,EMIO_0_tri_t_19,EMIO_0_tri_t_18,EMIO_0_tri_t_17,EMIO_0_tri_t_16,EMIO_0_tri_t_15,EMIO_0_tri_t_14,EMIO_0_tri_t_13,EMIO_0_tri_t_12,EMIO_0_tri_t_11,EMIO_0_tri_t_10,EMIO_0_tri_t_9,EMIO_0_tri_t_8,EMIO_0_tri_t_7,EMIO_0_tri_t_6,EMIO_0_tri_t_5,EMIO_0_tri_t_4,EMIO_0_tri_t_3,EMIO_0_tri_t_2,EMIO_0_tri_t_1,EMIO_0_tri_t_0}),
        .FIXED_IO_ddr_vrn(FIXED_IO_ddr_vrn),
        .FIXED_IO_ddr_vrp(FIXED_IO_ddr_vrp),
        .FIXED_IO_mio(FIXED_IO_mio),
        .FIXED_IO_ps_clk(FIXED_IO_ps_clk),
        .FIXED_IO_ps_porb(FIXED_IO_ps_porb),
        .FIXED_IO_ps_srstb(FIXED_IO_ps_srstb));
endmodule
